Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232654 - applet erraneously shows package as available for update on 64 bit
Summary: applet erraneously shows package as available for update on 64 bit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rhn-applet
Version: 4.4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: John Matthews
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
: 232679 (view as bug list)
Depends On:
Blocks: 232679
TreeView+ depends on / blocked
 
Reported: 2007-03-16 14:58 UTC by Pradeep Kilambi
Modified: 2008-07-24 20:04 UTC (History)
3 users (show)

Fixed In Version: RHBA-2008-0770
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-24 20:04:56 UTC
Target Upstream Version:


Attachments (Terms of Use)
illustration of the same happening on RHEL4/i386 xen guest (deleted)
2007-06-14 15:11 UTC, Matěj Cepl
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0770 normal SHIPPED_LIVE rhn-applet bug fix update 2008-07-23 17:21:58 UTC

Description Pradeep Kilambi 2007-03-16 14:58:49 UTC
Description of problem:
The applet shows that firefox is available for update with a red
ball with an exclamation point in it and when you click it, it tells me that
there is a new version of firefox which is available.

In this case an i386 version of firefox is installed on x86_64 box. If we look
at the subscribed channels an update for x86_64 version of firefox is available
and not i386. But applet shows that firefox is available for update though
nothing new is available for i386.

The possible issue could be that applet lists updates based on just the name
rather than considering arch as well

Version-Release number of selected component (if applicable):
rhn-applet-2.1.25-22

To Reproduce:

- register a 64 bit(with a firefox.i386 installed) to prod
- prod has a firefox.x86_64 available for update.
- now applet shows firefox in the available packages for update even though only
x86_64 version is available.
  
Actual results:
shows unavailable package as available for update

Expected results:
should not list unavailable packages

Comment 1 Red Hat Bugzilla 2007-04-12 02:16:26 UTC
User bnackash@redhat.com's account has been closed

Comment 3 RHEL Product and Program Management 2007-05-09 05:41:14 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Todd Sanders 2007-05-22 14:24:48 UTC
*** Bug 232679 has been marked as a duplicate of this bug. ***

Comment 5 Matěj Cepl 2007-06-14 15:11:37 UTC
Created attachment 157011 [details]
illustration of the same happening on RHEL4/i386 xen guest

The same problem with xen RHEL4/i386 full-virt xen guest on F7/x86_64 host.

Comment 6 Suzanne Yeghiayan 2007-09-17 20:06:43 UTC
This request was previously evaluated by Red Hat Product Management
for inclusion in the current Red Hat Enterprise Linux release, but
Red Hat was unable to resolve it in time.  This request will be
reviewed for a future Red Hat Enterprise Linux release.

Comment 7 RHEL Product and Program Management 2007-11-29 04:21:32 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 9 RHEL Product and Program Management 2008-01-09 03:35:37 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 10 Pradeep Kilambi 2008-03-12 19:43:19 UTC
seems to be working now .. got fixed probably as part of multi arch enhancements
we did in 4.5/4.6...

Comment 11 Peter Staubach 2008-03-17 22:43:06 UTC
It doesn't work for me.

I just up2date'd to "Red Hat Enterprise Linux AS release 4 (Nahant Update 6)"
and it is saying that I still have 1 rpm to update.  However, when I run
"up2date -u", it says that "All packages are currently up to date".

I have an x86_64 system, but with a i386 version of firefox installed.  It
is this mismatch which seems to be causing the situation.


Comment 21 errata-xmlrpc 2008-07-24 20:04:56 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0770.html


Note You need to log in before you can comment on or make changes to this bug.